ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::ilut_sparse_vector< NumericT > Struct Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
viennacl::linalg::detail::ilut_sparse_vector< NumericT > Struct Template Reference

Helper struct for holding a sparse vector in linear memory. For internal use only. More...

`#include <ilut.hpp>`

## Public Member Functions
| ilut_sparse_vector (vcl_size_t alloc_size=0)
void | resize_if_bigger (vcl_size_t s)

## Public Attributes
vcl_size_t | size_
std::vector< unsigned int > | col_indices_
std::vector< NumericT > | elements_

## Detailed Description

### template<typename NumericT>
struct viennacl::linalg::detail::ilut_sparse_vector< NumericT >

Helper struct for holding a sparse vector in linear memory. For internal use only.

Unfortunately, the 'naive' implementation using a std::map<> is almost always too slow.

Definition at line 94 of file ilut.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::linalg::detail::ilut_sparse_vector< NumericT >::ilut_sparse_vector | ( | vcl_size_t | alloc_size = `0` | ) |
| inline

Definition at line 96 of file ilut.hpp.

## Member Function Documentation

template<typename NumericT>

void viennacl::linalg::detail::ilut_sparse_vector< NumericT >::resize_if_bigger | ( | vcl_size_t | s | ) |
| inline

Definition at line 98 of file ilut.hpp.

## Member Data Documentation

template<typename NumericT>

std::vector<unsigned int> viennacl::linalg::detail::ilut_sparse_vector< NumericT >::col_indices_

Definition at line 109 of file ilut.hpp.

template<typename NumericT>

std::vector<NumericT> viennacl::linalg::detail::ilut_sparse_vector< NumericT >::elements_

Definition at line 110 of file ilut.hpp.

template<typename NumericT>

vcl_size_t viennacl::linalg::detail::ilut_sparse_vector< NumericT >::size_

Definition at line 108 of file ilut.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/ilu/ilut.hpp